7.6. Sortie Framebuffer (FBdev)
Précédent | Chapitre 7. Sorties vidéo | Suivant

## 7.6. Sortie Framebuffer (FBdev)

La compilation de le sortie FBdev est autodétectée durant `./configure`. Lisez la documentation sur le framebuffer dans le sources du noyau (`Documentation/fb/*`) pour avoir plus d'infos.

Si votre carte ne supporte pas le standard VBE 2.0 (anciennes cartes ISA/PCI, comme les S3 Trio64), et uniquement VBE 1.2 (ou plus ancien ?) : Dans ce cas, VESAfb reste disponible, mais vous devrez charger SciTech Display Doctor (anciennement nommé UniVBE) avant de booter Linux. Utilisez une disquette de boot DOS ou similaire. Et n'oubliez pas d'enregistrer votre copie d'UniVBE ;))

La sortie FBdev accepte certains paramètres additionnels :

`-fb`

  spécifie le device framebuffer a utiliser (par défaut : `/dev/fb0`)

`-fbmode`

  mode a utiliser (d'après le fichier `/etc/fb.modes`)

`-fbmodeconfig`

  fichier de configuration des modes (par défaut : `/etc/fb.modes`)

`-monitor-hfreq`, `-monitor-vfreq`, `-monitor-dotclock`

  valeurs importantes, voir `example.conf`

Si vous désirez passer dans un mode particulier, alors utilisez

    mplayer -vm -fbmode nom_du_mode
    nomfichier

- `-vm` seul choisira le mode le mieux adapté dans votre fichier `/etc/fb.modes`. Peut s'utiliser avec les options `-x` et `-y`. L'option `-flip` est supportée uniquement si le format de pixels de la vidéo correspond au format de pixel du mode framebuffer. Faites attention à la valeur bpp, le pilote fbdev essaie par défaut d'utiliser la valeur courante, ou bien celle spécifiée par l'option `-bpp`.

- l'option `-zoom` n'est pas supportée (Utilisez l'option `-fs`). Vous ne pouvez pas utiliser de modes 8bpp (ou moins).

- vous pouvez vouloir désactiver le curseur :

      echo -e '\033[?25l'

  ou

      setterm -cursor off

  et l'économiseur d'écran :

      setterm -blank 0

  Pour afficher de nouveau le curseur :

      echo -e '\033[?25h'

  ou

      setterm -cursor on

### Note

Le changement de mode vidéo avec FBdev ne fonctionne pas avec le framebuffer VESA, et ne nous le demandez pas, il ne s'agit pas d'une limitation de MPlayer.

Précédent | Niveau supérieur | Suivant
7.5. SVGAlib | Sommaire | 7.7. Framebuffer Matrox (mga_vid)